package com.yidianling.home.modular

import android.content.Context
import android.support.v4.app.Fragment
import com.alibaba.android.arouter.facade.annotation.Route
import com.yidianling.home.api.service.IHomeService
import com.yidianling.home.ui.fragment.YdlHomeFragment
import com.yidianling.home.ui.utils.Double11ActivityManagerUtils

@Route(path = "/home/HomeService")
class HomeServiceImpl : IHomeService {

    override fun init(context: Context?) {

    }

    override fun setDouble11ShowType(mBool: Boolean) {
        Double11ActivityManagerUtils.notShowDouble11Activity = mBool
    }

    override fun getYDLHomeFragment(): Fragment {
        return YdlHomeFragment()
    }
}